export interface AmqpTransportOptions {
    url: string;
    queue: string;
    exchange: string;
    exchangeType: ExchangeType;
    bindingKeys: string[];
    avoidNoHandlerError?: boolean;
    autoCreate?: boolean;
}
export declare enum ExchangeType {
    TOPIC = "topic",
    FANOUT = "fanout",
    DIRECT = "direct"
}
