import { CustomTransportStrategy, Server } from '@nestjs/microservices';
import { AmqpTransportOptions } from './amqp.transport-options';
export declare class AmqpTransport extends Server implements CustomTransportStrategy {
    private options;
    private client;
    constructor(options: AmqpTransportOptions);
    on<EventKey, EventCallback>(event: EventKey, callback: EventCallback): any;
    unwrap<T>(): T;
    listen(callback: () => void): Promise<void>;
    close(): Promise<void>;
    private initialize;
}
